/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomKeyboardEvent_H___INT_
#define __GdomKeyboardEvent_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomUIEvent.h"
#include "GDOMObject.h"
#include "KeyboardEvent.h"
G_BEGIN_DECLS
class GDOMKeyboardEvent : public GDOMUIEvent {
    typedef GDOMUIEvent Base;
public:
    int get_gobj_type() { return GDOM_TYPE_KEYBOARD_EVENT; }
    GDOMKeyboardEvent(PassRefPtr<WebCore::KeyboardEvent> impl);
};
G_END_DECLS

#endif /* __GdomKeyboardEvent_H___INT_*/
